package kr.co.zumo.app.lifeplus.view.fragment.faq;

import android.graphics.Rect;
import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

import java.util.ArrayList;
import java.util.List;

import kr.co.zumo.app.R;
import kr.co.zumo.app.lifeplus.bean.api.FAQBean;
import kr.co.zumo.app.lifeplus.util.ResourceUtil;

/**
 * FaqFragment
 * <pre>
 * </pre>
 *
 * @author 하세미
 * @version 1.0
 * @history 하세미   [2018-10-01]   [최초 작성]
 * @since 2018-10-01
 */
public class FAQFragment extends Fragment {

  private RecyclerView expandableListViewFaq;



  @Nullable
  @Override
  public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
    View view = inflater.inflate(R.layout.fragment_faq, container, false);
    //settingList();


    expandableListViewFaq = (RecyclerView) view.findViewById(R.id.expandable_list_view_faq);
    expandableListViewFaq.setLayoutManager(new LinearLayoutManager(getContext(), LinearLayoutManager.VERTICAL ,false));
    List<FAQBean> data = new ArrayList<>();
    data.add(new FAQBean(0, "카테고리", "타이틀", "콘텐츠", "날짜"));
    data.add(new FAQBean(1, "카테고리", "타이틀", "콘텐츠", "날짜"));
    data.add(new FAQBean(2, "카테고리", "타이틀", "콘텐츠", "날짜"));
    data.add(new FAQBean(3, "카테고리", "타이틀", "콘텐츠", "날짜"));
    data.add(new FAQBean(4, "카테고리", "타이틀", "콘텐츠", "날짜"));
    FAQExpandableListViewAdapter adapter = new FAQExpandableListViewAdapter(data);
    expandableListViewFaq.setAdapter(adapter);
    expandableListViewFaq.addItemDecoration(new RecyclerView.ItemDecoration() {
      @Override
      public void getItemOffsets(Rect outRect, View view, RecyclerView parent, RecyclerView.State state) {
        super.getItemOffsets(outRect, view, parent, state);
        outRect.top = ResourceUtil.dpToPx(12);
      }
    });

    return view;
  }

  @Override
  public void onActivityCreated(@Nullable Bundle savedInstanceState) {
    super.onActivityCreated(savedInstanceState);
  }

/*  private void settingList() {
    faqList = new ArrayList<>();
    FAQBean bean1 = new FAQBean(0, "회원", "비밀번호는 어떻게 변경하나요?", "개인인증을 위한 정보(이름, 휴대폰 번호)를 입력 받고, 당첨 시 입력하신 번호로 경품 당첨 내용을 전송하오니 정확한 본인의 이름과 전화번호를 입력해 주시기 바랍니다. 당첨자는 추첨을 통해 선정되며 9월 28일자 발표일에 경품이 주어집니다.", "dummy");
    faqList.add(bean1);
    FAQBean bean2 = new FAQBean(0, "회원", "비밀번호는 어떻게 변경하나요?", "개인인증을 위한 정보(이름, 휴대폰 번호)를 입력 받고, 당첨 시 입력하신 번호로 경품 당첨 내용을 전송하오니 정확한 본인의 이름과 전화번호를 입력해 주시기 바랍니다. 당첨자는 추첨을 통해 선정되며 9월 28일자 발표일에 경품이 주어집니다.", "dummy");
    faqList.add(bean2);
  }*/
}
